# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.3.0
    hooks:
    -   id: check-added-large-files
    -   id: no-commit-to-branch
        args: [--branch, main]
-   repo: https://github.com/pocc/pre-commit-hooks
    rev: v1.3.5
    hooks:
    -   id: clang-format
        args: [-i, --no-diff]
        types_or: ["c++", "c#"]
        exclude: ^src/main/csharp/net/eagle0/clients/unity/eagle0/Assets/Plugins
-   repo: https://github.com/yoheimuta/protolint
    rev: v0.42.2
    hooks:
    -   id: protolint
        args: [-fix]
        exclude: ^src/main/protobuf/scalapb/
-   repo: local
    hooks:
    -   id: scalafmt
        name: scalafmt
        language: system 
        entry: scalafmt -i -f 
        types_or: ["scala"]
- repo: local
  hooks:
      - id: gazelle
        name: gazelle
        language: system
        entry: bazel run //:gazelle
        files: '(\.go|\.proto|BUILD\.bazel|BUILD|WORKSPACE|WORKSPACE\.bazel|\.bzl)$'
-   repo: local
    hooks:
    -   id: update-action-result-types
        name: update-action-result-types
        language: system
        entry: ./scripts/updateActionResultTypes.sh
        files: 'src/main/protobuf/net/eagle0/eagle/common/action_result_type.proto'
